XDocletUtilMessages (XDoclet 1.2.3 API)
Keywords: xdoclet.util.XDocletUtilMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.util
Class XDocletUtilMessages

    java.lang.Object
      xdoclet.util.XDocletUtilMessages

public final class XDocletUtilMessages
extends Object

Version:
  $Revision: 1.5 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com)
created
  May 31, 2002

Field Summary
`static String` | `EXCEPTION_READING_MERGE_FILE`
`static String` | `GENERATED_XML_INVALID`
`static String` | `INIT_FAILED`
`static String` | `NO_NAMESPACE_AWARE_SAX_PARSER`
`static String` | `PARSER_DOES_NOT_SUPPORT_XSD_VALIDATION`
`static String` | `PARSING_FAILED`

Constructor Summary
`XDocletUtilMessages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_FAILED

    public static final String INIT_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="Initializing XML parser failed."

### GENERATED_XML_INVALID

    public static final String GENERATED_XML_INVALID

See Also:
  Constant Field Values
msg.bundle
  msg="Generated file [{0}:line {1}] Message=[{2}] is not valid according to its DTD or XML Schema. This might be due to some missing tags in your source."

### PARSING_FAILED

    public static final String PARSING_FAILED

See Also:
  Constant Field Values
msg.bundle
  msg="The validateion for the generated file [{0}] failed. Message=[{2}] ."

### EXCEPTION_READING_MERGE_FILE

    public static final String EXCEPTION_READING_MERGE_FILE

See Also:
  Constant Field Values
msg.bundle
  msg="Exception reading merge file. {0}"

### PARSER_DOES_NOT_SUPPORT_XSD_VALIDATION

    public static final String PARSER_DOES_NOT_SUPPORT_XSD_VALIDATION

See Also:
  Constant Field Values
msg.bundle
  msg="WARNING: Can't validate against the XML Schema because the SAX Parser does not support JAXP 1.2 XML Schema validation. Please make sure that a JAXP 1.2 SAX Parser is available in the classpath (i.e. Xerces-J)."

### NO_NAMESPACE_AWARE_SAX_PARSER

    public static final String NO_NAMESPACE_AWARE_SAX_PARSER

See Also:
  Constant Field Values
msg.bundle
  msg="WARNING: Can't validate against the XML Schema because no namespace-aware SAX Parser could be found. Please make sure that a JAXP 1.2 SAX Parser is available in the classpath (i.e. Xerces-J)."

Constructor Detail

### XDocletUtilMessages

    public XDocletUtilMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD